Last Comment Bug 807664 - Port |Bug 752461 - First time after choosing to "Never activate plugins for this site" the video is still playing|
: Port |Bug 752461 - First time after choosing to "Never activate plugins for t...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.18
Assigned To: Philip Chee
:
Mentors:
Depends on: 860537
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-01 07:55 PDT by Frank Wein [:mcsmurf]
Modified: 2013-04-10 16:34 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 Proposed fix. (3.38 KB, patch)
2012-12-27 10:05 PST, Philip Chee
no flags Details | Diff | Review
Patch v1.1 (5.37 KB, patch)
2013-01-14 08:38 PST, Philip Chee
bugzilla: review+
Details | Diff | Review

Description Frank Wein [:mcsmurf] 2012-11-01 07:55:57 PDT
STR:
1. Make sure plugins.click_to_play pref is set on TRUE in about:config
2. Open http://www.youtube.com/
3. Click on a video
4. Click on the plugin icon in the location bar
5. Choose to "Never activate plugins for this site"
6. Click on the video screen

Expected results:
The video should not play (or hide the click-to-play UI altogether)

Actual results:
The video starts playing
Comment 1 Frank Wein [:mcsmurf] 2012-11-30 06:43:13 PST
Fixing this bug will fix test13b in suite/browser/test/browser/browser_pluginnotification.js
Comment 2 Philip Chee 2012-12-27 10:05:45 PST
Created attachment 696063 [details] [diff] [review]
Patch v1.0 Proposed fix.

> Fixing this bug will fix test13b in suite/browser/test/browser/browser_pluginnotification.js
This seems to work.
Comment 3 Frank Wein [:mcsmurf] 2013-01-08 09:24:01 PST
Comment on attachment 696063 [details] [diff] [review]
Patch v1.0 Proposed fix.

Per IRC this is the wrong patch, Philip will attach a new one.
Comment 4 Philip Chee 2013-01-14 08:38:46 PST
Created attachment 701830 [details] [diff] [review]
Patch v1.1

I can't get the tests to work. Frank, any ideas?

INFO TEST-START | Shutdown
Browser Chrome Test Summary
        Passed: 16
        Failed: 6
        Todo: 0

INFO | runtests.py | Running tests: end.
mochitest-browser-chrome failed:
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/suite/browser/test/browser_pluginnotification.js | Test 3, plugin fallback type should be PLUGIN_DISABLED - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/suite/browser/test/browser_pluginnotification.js | Test 3, found 'manage' link in plugin-problem binding
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/suite/browser/test/browser_pluginnotification.js | uncaught exception - TypeError: aTarget is null at chrome://mochikit/content/tests/SimpleTest/EventUtils.js:276
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/suite/browser/test/browser_pluginnotification.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/suite/browser/test/browser_pluginnotification.js | Found a tab after previous test timed out: chrome://mochitests/content/browser/suite/browser/test/plugin_test.html
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/suite/browser/test/browser_pluginnotification.js | uncaught exception - ReferenceError: executeSoon is not defined at chrome://mochitests/content/browser/suite/browser/test/browser_pluginnotification.js:88
c:\t1\hg\comm-central\suite\build.mk:78:0: command 'errors=`grep "TEST-UNEXPECTED-" mochitest-browser-chrome.log` ; if test "$errors" ; then echo "mochitest-browser-chrome failed:"; echo "$errors";  exit 1; fi' failed, return code 1
c:\t1\hg\objdir-sm\Makefile:52:0: command 'c:/DEV/mozilla-build/python/python.exe c:/t1/hg/comm-central/mozilla/build/pymake/pymake/../make.py -C mozilla mochitest-browser-chrome' failed, return code 2
Comment 5 Frank Wein [:mcsmurf] 2013-01-16 16:26:10 PST
Philip: Did you only run the browser_pluginnotification.js test or the whole mochitest-browser-chrome test suite? Just wondering as for me only test12c and test18e fail with your patch applied (those two tests also fail without your patch).
Comment 6 Philip Chee 2013-01-16 21:29:55 PST
Comment on attachment 701830 [details] [diff] [review]
Patch v1.1

> Philip: Did you only run the browser_pluginnotification.js test or the whole
> mochitest-browser-chrome test suite? Just wondering as for me only test12c and

I only ran browser_pluginnotification.js.

> test18e fail with your patch applied (those two tests also fail without your
> patch)

Hmm. must be something local to me then. If only two tests fail for you with or without my patch I think it should be OK.

Switching f? to r?
Comment 7 Frank Wein [:mcsmurf] 2013-01-28 16:01:50 PST
Comment on attachment 701830 [details] [diff] [review]
Patch v1.1

r+, but add a semicolon here:

+            var doc = this.activeBrowser.contentWindow.document

(though the code also works without the semicolon).
Comment 8 Philip Chee 2013-01-29 06:49:08 PST
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/d974df0945d3

Note You need to log in before you can comment on or make changes to this bug.